@import Plugin/normalize.sass

$device-mobile-width: 480px
$primary-color: coral

html, body
  line-height: 1.5

.container
  max-width: 1240px
  width: 95%
  margin: 0 auto

@import Plugin/sidr.scss

@import Elements/nav-icon.sass

@import Sections/header.sass
@import Sections/content.sass

.page
  @extend .container
  display: flex

  .sidebar
    padding-left: 2rem
    width: 20%

    .image
        margin: 0

    img
        max-width: 100%
        height: auto

.content
  min-height: 100vh
  margin-bottom: 5rem
  width: 80%

  p:first-child
    margin-top: 0

  a
    color: coral

  table
    width: 100%

  td
    border: 1px solid #f0f0f0
    padding: 1rem

@import "Sections/posts.sass"

#disqus_thread
    width: 100%

.social-list
  list-style-type: none
  margin: 0
  padding-left: 0

  li a
    display: block
    padding: .3rem 0 .3rem 2rem
    margin-bottom: .3rem
    background-repeat: no-repeat
    background-position: -1rem center
    text-decoration: none
    border-bottom: 1px solid #3c3c3c
    max-width: 200px

  &__twitter
    background-image: url(../Images/twitter.svg)

  &__linkedin
    background-image: url(../Images/linkedin.svg)

  &__github
    background-image: url(../Images/github.svg)

  &__stackoverflow
    background-image: url(../Images/stackoverflow.svg)

@import "Sections/footer.sass"
@media screen and (max-width: $device-mobile-width)
    .page-header
        .container
            justify-content: space-between
        .menu
            display: none
        .mobile_navigation
            display: block
    .page
        .content
            width: 100%
        .sidebar
            display: none
